SPLITSEQ.PY(1)

NAME
SplitSeq.py - Sorts, samples and splits FASTA/FASTQ sequence files

DESCRIPTION
usage: SplitSeq.py [--version] [-h] ...

Sorts, samples and splits FASTA/FASTQ sequence files

  help:

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  subcommands:

    Sequence file operation

count
    Splits sequences files by number of records.

group
    Splits sequences files by annotation.

sample
    Randomly samples from unpaired sequences files.

    samplepair

    Randomly samples from paired-end sequences files.

sort
    Sorts sequences files by annotation.

select
    Selects sequences from sequence files by annotation.

  output files:

    part<part>

    reads partitioned by count, where <part> is the partition number.

    <field>-<value>

    reads partitioned by annotation <field> and <value>.

    under-<number>

    reads partitioned by numeric threshold where the annotation value is strictly less than the threshold <number>.

    atleast-<number>

    reads partitioned by numeric threshold where the annotation value is greater than or equal to the threshold <number>.

    sorted

    reads sorted by annotation value.

    sorted-part<part>

    reads sorted by annotation value and partitioned by count, where <part> is the partition number.

    sample<i>-n<count>

    randomly sampled reads where <i> is a number specifying the sampling instance and <count> is the number of sampled reads.

    selected

    reads passing selection criteria.

  output annotation fields:

    None

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.